> ## Documentation Index
> Fetch the complete documentation index at: https://www.text.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update company details

> Updates company details of the license.

**Required scopes:** `organization--my:rw`


## OpenAPI

````yaml /api/configuration/v3.6/openapi.json post /action/update_company_details
openapi: 3.1.0
info:
  title: Configuration API
  version: v3.6
servers:
  - url: https://api.livechatinc.com/v3.6/configuration
security:
  - PersonalAccessToken: []
  - OAuth2BearerToken: []
paths:
  /action/update_company_details:
    post:
      tags:
        - Other
      summary: Update company details
      description: Updates company details of the license.
      operationId: update-company-details
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateCompanyDetailsRequest'
            example:
              enrich: true
              url: www.text.com
      responses:
        '200':
          description: Company details updated successfully.
components:
  schemas:
    UpdateCompanyDetailsRequest:
      type: object
      properties:
        enrich:
          type: boolean
          description: >-
            If set to `true`: the system will attempt to automatically fill
            empty fields by searching for the company's domain. If set to
            `false`: no enrichment is performed.
        audience:
          type: string
          description: The audience.
        chat_purpose:
          type: string
          description: The chat purpose.
        city:
          type: string
          description: The city.
        company:
          type: string
          description: The company.
        company_size:
          type: string
          description: The company size.
        country:
          type: string
          description: The country.
        invoice_email:
          type: string
          description: The invoice email.
        invoice_name:
          type: string
          description: The invoice name.
        nip:
          type: string
          description: The Employer Identification Number.
        postal_code:
          type: string
          description: The postal code.
        state:
          type: string
          description: The state.
        street:
          type: string
          description: The street.
        phone:
          type: string
          description: The phone.
        province:
          type: string
          description: The province.
        url:
          type: string
          description: The URL.
  securitySchemes:
    PersonalAccessToken:
      type: http
      scheme: basic
      description: >-
        Use your `account ID` as the username and your personal access token
        (PAT) as the password, or pass a Base64-encoded value directly in the
        Authorization header. For more information, see the <a
        href="/authentication/personal-access-tokens">personal access tokens
        guide</a>.
    OAuth2BearerToken:
      type: http
      scheme: bearer
      description: Authenticate using an OAuth 2.0 Bearer token.
      x-example: us-south1:MQraNrGCsoJvtxD7KNJQB1kM3d5

````